%define oname   tzinfo

Name:       ruby-%{oname}
Version:    0.3.26
Release:    %mkrel 1
Summary:    Daylight-savings aware timezone library
Group:      Development/Ruby
License:    MIT
URL:        http://tzinfo.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
TZInfo is a Ruby library that uses the standard tz (Olson) database to
provide daylight savings aware transformations between times in different
time zones.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGES
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 0.3.26-1.mga1
+ Revision: 82567
- new version 0.3.26

* Fri Jan 28 2011 shikamaru <shikamaru> 0.3.24-1.mga1
+ Revision: 42481
- imported package ruby-tzinfo


* Fri Jan 28 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.3.24-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Bump version

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.3.23-1mdv2011.0
+ Revision: 623427
- import rubygem-tzinfo

